version: 1
send_anonymous_usage_stats: true
project_id: d3e54fc0-e9e8-40dd-8955-44d78802434d
include_paths:
  - ./*.meltano.yml
elt.buffer_size: 52428800
plugins:
  extractors:
  	- name: tap-twitter-ads
    namespace: tap_twitter_ads
    pip_url: git+https://github.com/singer-io/tap-twitter-ads.git
    executable: tap-twitter-ads
    capabilities:
    - catalog
    - discover
    - state
    settings:
    - name: start_date|date_iso8601
    - name: user_agent|string
    - name: consumer_key|password
    - name: consumer_secret|password
    - name: access_token|password
    - name: access_token_secret|password|account_ids|string
    - name: with_deleted|boolean
    - name: country_codes|string
    - name: reports|array
    config:
      user_agent: tap-twitter-ads <analytics@voxmedia.com>
      attribution_window: '14'
      with_deleted: 'true'
      country_codes: US, CA
      reports:
      - name: campaigns_genders_hourly_report
        entity: CAMPAIGN
        segment: GENDER
        granularity: HOUR
      - name: campaigns_interests_hourly_report
        entity: CAMPAIGN
        segment: INTERESTS
        granularity: HOUR
      - name: campaigns_hourly_report
        entity: CAMPAIGN
        granularity: HOUR
    catalog: extract/tap-twitter-ads.catalog.json